PETSc version 3.15.5
Fix/Edit manual page

# PetscDLAddr

find the name of a symbol in a dynamic library

### Synopsis

    PetscErrorCode PetscDLAddr(void (*func)(void), const char **name)

Not Collective

### Input Parameters

| handle | - obtained with PetscDLOpen() or NULL
| func | - pointer to the function, NULL if not found

### Output Parameter

| name | - name of symbol, or NULL if name lookup is not supported

### Notes

In order to be dynamically loadable, the symbol has to be exported as such. On many UNIX-like systems this requires platform-specific linker flags.

### See Also

PetscDLClose(), PetscDLSym(), PetscDLOpen()

### Level

developer

### Location

src/sys/dll/dlimpl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages